# Asterisk Project : Asterisk 12 Function_HINT

Added by wikibot , edited by wikibot on Aug 29, 2013

# HINT()

### Synopsis

Get the devices set for a dialplan hint.

### Description

The HINT function can be used to retrieve the list of devices that are mapped to a dialplan hint. For example:

NoOp(Hint for Extension 1234 is ${HINT(1234)})

### Syntax

    HINT(extension,options)

##### Arguments

- `extension`
  - `extension`
  - `context`
- `options`
  - `n` - Retrieve name on the hint instead of list of devices.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown